- [HTTP request](https://developers.google.com/maps/documentation/geocoding/reference/rest/v4alpha/geocode.address/geocodeAddress#body.HTTP_TEMPLATE)
- [Query parameters](https://developers.google.com/maps/documentation/geocoding/reference/rest/v4alpha/geocode.address/geocodeAddress#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/maps/documentation/geocoding/reference/rest/v4alpha/geocode.address/geocodeAddress#body.request_body)
- [Response body](https://developers.google.com/maps/documentation/geocoding/reference/rest/v4alpha/geocode.address/geocodeAddress#body.response_body)
- [Authorization scopes](https://developers.google.com/maps/documentation/geocoding/reference/rest/v4alpha/geocode.address/geocodeAddress#body.aspect)

This method performs an address geocode, which maps an address to a LatLng. It also provides structured information about the address.

### HTTP request

`GET https://geocode.googleapis.com/v4alpha/geocode/address`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Query parameters

| Parameters ||
|---|---|
| `locationBias` | ``object (`https://developers.google.com/maps/documentation/geocoding/reference/rest/v4alpha/GeocodeAddressRequest.LocationBias`)`` Optional. The region to search. This location serves as a bias which means results around the given location are preferred. |
| `languageCode` | `string` Optional. Language in which the results should be returned. |
| `regionCode` | `string` Optional. Region code. The region code, specified as a ccTLD ("top-level domain") two-character value. The parameter affects results based on applicable law. This parameter will also influence, but not fully restrict, results from the service. |
| `effort` | ``enum (`https://developers.google.com/maps/documentation/geocoding/reference/rest/v4alpha/GeocodeAddressRequest.Effort`)`` Optional. The effort level requested by the client. |
| The address to geocode. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response: ||
| `addressQuery` | `string` The unstructured address to geocode. |
| `address` | ``object (`https://developers.google.com/maps/documentation/geocoding/reference/rest/Shared.Types/PostalAddress`)`` The structured address to geocode in postal address format. |
| End of mutually exclusive fields. ||

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/maps/documentation/geocoding/reference/rest/v4alpha/GeocodeAddressResponse`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/maps-platform.geocode`
- `
  https://www.googleapis.com/auth/maps-platform.geocode.address`